SWFieldManagerInternal::FieldJumpEdit Struct Reference documentation

SWFieldManagerInternal::FieldJumpEdit Struct Referencefinal

Internal: a jump edit field. More...

Inheritance diagram for SWFieldManagerInternal::FieldJumpEdit:

## Public Member Functions
| FieldJumpEdit ()
| constructor
| FieldJumpEdit (Field const &orig)
| copy constructor
| ~FieldJumpEdit () final
| destructor
bool | send (STOFFListenerPtr &listener, StarState &state) const final
| add to send the zone data
void | print (std::ostream &o) const final
| print a field
Public Member Functions inherited from SWFieldManagerInternal::Field
| Field ()
| constructor
virtual | ~Field ()
| destructor

## Public Attributes
librevenge::RVNGString | m_help
| the help
Public Attributes inherited from SWFieldManagerInternal::Field
int | m_type
| the field type
int | m_subType
| the subtype
int | m_format
| the field format
librevenge::RVNGString | m_name
| the name
librevenge::RVNGString | m_content
| the content
librevenge::RVNGString | m_textValue
| the value text
double | m_doubleValue
| double
int | m_level
| the chapter level

## Additional Inherited Members
Protected Member Functions inherited from SWFieldManagerInternal::Field
| Field (const Field &)=default
| copy constructor

## Detailed Description

Internal: a jump edit field.

## Constructor & Destructor Documentation

## ◆ FieldJumpEdit() [1/2]

SWFieldManagerInternal::FieldJumpEdit::FieldJumpEdit | ( |  | ) |
| inline

constructor

## ◆ FieldJumpEdit() [2/2]

SWFieldManagerInternal::FieldJumpEdit::FieldJumpEdit | ( | Field const & | orig | ) |
| inlineexplicit

copy constructor

## ◆ ~FieldJumpEdit()

SWFieldManagerInternal::FieldJumpEdit::~FieldJumpEdit | ( |  | ) |
| final

destructor

## Member Function Documentation

## ◆ print()

void SWFieldManagerInternal::FieldJumpEdit::print | ( | std::ostream & | o | ) | const
| inlinefinalvirtual

print a field

Reimplemented from SWFieldManagerInternal::Field.

Referenced by print().

## ◆ send()

bool SWFieldManagerInternal::FieldJumpEdit::send | ( | STOFFListenerPtr & | listener,
|  | StarState & | state ) const
| finalvirtual

add to send the zone data

Reimplemented from SWFieldManagerInternal::Field.

## Member Data Documentation

## ◆ m_help

librevenge::RVNGString SWFieldManagerInternal::FieldJumpEdit::m_help

the help

Referenced by FieldJumpEdit(), FieldJumpEdit(), print(), and send().

The documentation for this struct was generated from the following file:

- SWFieldManager.cxx